/*
 * Testing splitting functions
 */

#include <Conn.h>

int main(void)
{
	char *s = "a=b c= d= sasasasdasd=", *x;
	int ret = 0;
	struct Conn_split *sp;

	sp = Conn_split(s);
	if (!sp) {
		printf("Cannot split (%s)!\n", Conn_strerror());
		ret++;
	} else {
		x = Conn_split_get(sp, "a");
		if (!x || strcmp(x, "b") != 0) {
			printf("ERROR: a != %s.\n", x);
			ret++;
		}

		x = Conn_split_get(sp, "c");
		if (!x || strcmp(x, "") != 0) {
			printf("ERROR: \"\" != \"%s\".\n", x);
			ret++;
		}
	}

	Conn_split_free(&sp);

	return ret;
}
